=== debian/changelog ===
xdg-desktop-portal-cosmic (0.1.0pop1) jammy; urgency=medium

  * Initial release.

 -- Ian Scott <idscott@system76.com>  Thu, 28 Jul 2022 10:36:07 -0700
