=== debian/control ===
Source: xdg-desktop-portal-cosmic
Section: admin
Priority: optional
Maintainer: System76 <info@system76.com>
Build-Depends:
  debhelper (>= 11),
  debhelper-compat (= 11),
  cargo,
  libclang-dev,
  libglib2.0-dev,
  libegl-dev,
  libgbm-dev,
  libpipewire-0.3-dev,
  libwayland-dev,
  libxkbcommon-dev,
  pkg-config,
Standards-Version: 4.3.0
Homepage: https://github.com/pop-os/xdg-desktop-portal-cosmic

Package: xdg-desktop-portal-cosmic
Architecture: amd64 arm64
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: Cosmic backend for xdg-desktop-portal
